Subject: bug#44065: closed (Re: bug#44065: 28.0.50; SVG image not shown completely)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Oct 2020 19:12:02 +0000

Your bug report

#44065: 28.0.50; SVG image not shown completely

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44065: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44065
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44065: 28.0.50; SVG image not shown completely
From: Alan Third <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>, [email-masked], [email-masked]
Date: Thu, 22 Oct 2020 20:11:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Oct 22, 2020 at 03:51:21PM +0300, Eli Zaretskii wrote:
> > From: Lars Ingebrigtsen <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
> >   [email-masked],  [email-masked]
> > Date: Thu, 22 Oct 2020 13:42:48 +0200
> > 
> > Alan Third <[email-masked]> writes:
> > 
> > > Should I put that note in documentation somewhere or just leave it as
> > > a comment in the code?
> > 
> > A comment in the code would be fine, I think.
> 
> Right.  Maybe we should also have a PROBLEMS entry about this?

I've done both and pushed to master. I don't think there's anything
else to be done here so I'm closing the bug report. Thanks all.
-- 
Alan Third

Subject: 28.0.50; SVG image not shown completely
From: [email-masked]
To: [email-masked]
Date: Sat, 17 Oct 2020 18:27:30 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs stopped showing SVG files completely (i.e. it is shown cropped), with 8f42b94fe43 the offending commit. This commit intends to resolve bug#40845.

Please find the SVG file (1.svg) I use and the render image (1.png) in attachment. Notice the cropped part at the bottom and on the right side. The SVG file can be correctly viewed by Emacs 27, and other photo viewers like eog or gThumb. The file attached embeds an SVG element inside another, which seems to be discouraged by https://debbugs.gnu.org/cgi/bugreport.cgi?bug=40845#68. However, according to Mozilla MDN (https://developer.mozilla.org/en-US/docs/Web/SVG/Element/svg),

> The svg element is a container that defines a new coordinate system and viewport. It is used as the outermost element of SVG documents, but it can also be used to embed an SVG fragment inside an SVG or HTML document.

> Note: The xmlns attribute is only required on the outermost svg element of SVG documents. It is unnecessary for inner svg elements or inside HTML documents.

So the file IS a valid SVG file. 

-- 
Sheng Yang(杨圣), PhD candidate
Computer Science Department
University of Maryland, College Park
E-mail: [email-masked]
E-mail(old): [email-masked]